import { jsx } from "react/jsx-runtime";
import { TagIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Tag = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Tag", ...props, children: /* @__PURE__ */ jsx(TagIcon, { weight: variant }) });
  }
);
Tag.displayName = "Tag";
Object.assign(Tag, { isGdsIcon: true });
export {
  Tag
};
